function varargout = generateExampleData(varargin)
% THIS IS A DEMO FUNCTION
%
% Syntax: data = generateExampleData(caseName)
%
% Use caseName='init' to initialize the input database, stored in
%   ./database. Use generateExample() to list existing cases and
%   caseList=generateExample() to obtain existing cases as a structure
%   array.
%
% Use generateExample(caseName, enforce) with enforce=1 to enforce the
%   recalculation of a case.

% this simply calls a wrapper with the local function, defined below
varargout = generateData(@myComplexFunction, varargin, nargout, ...
    {'identifier', 'name'});

end

function outData = myComplexFunction(inData)
% that'll take some time..
pause(1);
% ..but we simply copy data
outData = inData;
end